Como ler o Excel em uma macro do SolidWorks

Escrito por joy prescott | Traduzido por césar campos
  • Compartilhar
  • Tweetar
  • Compartilhar
  • Pin
  • E-mail
Como ler o Excel em uma macro do SolidWorks
O SolidWorks é um tipo de programa de desenho 3D guiado por computador (Stockbyte/Stockbyte/Getty Images)

Trabalhe com mais eficiência no SolidWorks utilizando a capacidade do Excel de armazenar vários valores e definir relações funcionais entre eles. Controle os parâmetros do SolidWorks, como valores de dimensão, com utilitários VBA do Excel. Por exemplo, você pode criar uma montagem com uma planilha do Excel incorporada que permita controlar as dimensões de uma peça. Você pode alterar os valores da célula na planilha incorporada e, em seguida, clicar em um botão de comando para executar uma macro que atualize a montagem. Explore muitas opções para usar fórmulas e funções do Excel com macros do SolidWorks.

Nível de dificuldade:
Moderadamente desafiante

Outras pessoas estão lendo

Instruções

  1. 1

    Abra uma montagem no SolidWorks. Clique com o botão direito do mouse na pasta "Annotations" (Anotações) na árvore do projeto de "FeatureManager" (Gerenciador de Características) e selecione "Show Dimension Names" (Mostrar Nomes de Dimensão) para fornecer fácil acesso a dimensões específicas.

  2. 2

    Grave uma macro. Vá para o menu "View" (Exibir) e selecione "Toolbars" (Barras de ferramentas) e "Macro" para exibir a barra de ferramentas da Macro. Clique no botão "Record\Pause Macro" (Gravar/Pausar Macro) na barra de ferramentas.

  3. 3

    Execute apenas as ações que você queira gravar. Clique duas vezes em cada dimensão para aumentar o respectivo valor, por exemplo, 1,2 cm. Clique no botão "Rebuild" (Reconstruir) ou pressione "Ctrl + B" para reconstruir a montagem. Clique no botão "Stop Macro" (Parar Macro) na respectiva barra de ferramentas para interrompê-la.

  4. 4

    Digite um nome para a macro, como "dimensões", no campo "File Name” (Nome do Arquivo) na caixa de diálogo "New Macro" (Nova Macro). Selecione "SW VBA Macros (*.swp)” em "Save as type" (Salvar como) e clique em "Save" (Salvar).

  5. 5

    Clique no botão "Edit Macro" (Editar Macro) na respectiva barra de ferramentas e selecione uma nova. O código deve incluir algo semelhante ao seguinte:

    Sub main()

    Set swApp = CreateObject("SldWorks.Application") Set Part = swApp.ActiveDoc Part.SelectByID "Shaft1@Sketch1@mygear-1@MyGearbox",. Part.Parameter("Shaft1@Sketch1@mygear.Part").SystemValue = 0.0254 Part.SelectByID "Shaft2@Sketch1@mygear2-1@MyGearbox",. Part.Parameter("Shaft2@Sketch1@mygear2.Part").SystemValue = 0.0254 Part.SelectByID "MyDia1@Sketch1@mygear-1@MyGearbox",. Part.Parameter("MyDia1@Sketch1@mygear.Part").SystemValue = 0.1016 Part.SelectByID "MyDia2@Sketch1@mygear2-1@MyGearbox", . Part.Parameter("MyDia2@Sketch1@mygear2.Part").SystemValue = 0.0762 Part.EditRebuild Part.ClearSelection End Sub

  6. 6

    Exclua cada linha do código que inclui o método “SelectByID” para melhorar a macro. A macro gravou selecionando a dimensão e alterando o valor. Mas para esse exemplo, você não precisa desse código, pois ele apenas faz com que o processamento seja desnecessário. O código editado deve ser semelhante ao seguinte:

    Sub main()

    Set swApp = CreateObject("SldWorks.Application") Set Part = swApp.ActiveDoc Part.Parameter("Shaft1@Sketch1@mygear.Part").SystemValue = 0.0254 Part.Parameter("Shaft2@Sketch1@mygear2.Part").SystemValue = 0.0254 Part.Parameter("MyDia1@Sketch1@mygear.Part").SystemValue = 0.1016 Part.Parameter("MyDia2@Sketch1@mygear2.Part").SystemValue = 0.0762 Part.EditRebuild Part.ClearSelection End Sub

  7. 7

    Abra uma planilha do Excel e preencha as células para os valores que você queira controlar. Adicione um botão na planilha para ativar uma macro dentro do Excel. Vá para o menu "View” (Exibir), selecione "Toolbars” (Barras de ferramentas) e clique em "Control Toolbox" (Caixa de Ferramentas de Controle). Selecione a opção "Command Button" (Botão de Comando) e, em seguida, clique na janela da planilha onde você deseja inserir o botão de comando.

  8. 8

    Vá para o SolidWorks e copie todo o código de macro entre as linhas "Sub Main ()" e "End Sub" da macro gravada.

  9. 9

    Retorne à planilha do Excel e clique duas vezes no botão de novo comando ou aperte o botão direito do mouse e selecione "View Code” (Exibir Código). Cole o código copiado do SolidWorks sobre a linha "End Sub".

  10. 10

    Modifique o código seguinte para acessar os valores do Excel.

    Private Sub CommandButton1_Click() Set swApp = CreateObject("SldWorks.Application") Set Part = swApp.ActiveDoc Part.Parameter("Shaft1@Sketch1@mygear.Part").SystemValue = Excel.Range("B1") * 0.0254 Part.Parameter("MyDia1@Sketch1@mygear.Part").SystemValue = Excel.Range("B2") * 0.0254 Part.Parameter("Shaft2@Sketch1@mygear2.Part").SystemValue = Excel.Range("B3") * 0.0254 Part.Parameter("MyDia2@Sketch1@mygear2.Part").SystemValue = Excel.Range("B4") * 0.0254 Part.EditRebuild Part.ClearSelection End Sub

  11. 11

    Copie e cole a planilha do Excel na montagem de modo que um arquivo externo não controle o modelo. Selecione todas as células necessárias e pressione "Ctrl + C" para copiar todas elas. Retorne para a montagem do SolidWorks e pressione "Ctrl + V" para colar as células copiadas. Agora, feche ou exclua o arquivo do Excel. A planilha é incorporada na montagem, de modo que você não precisa do arquivo.

  12. 12

    Clique duas vezes na planilha de cálculo incorporada para ativá-la. Altere os valores das células e clique no botão de comando da planilha para atualizar a montagem. Clique fora da janela de planilha incorporada para desativar e retornar à montagem.

Não perca

Filtro:
  • Geral
  • Artigos
  • Slides
  • Vídeos
Mostrar:
  • Mais relevantes
  • Mais lidos
  • Mais recentes

Nenhum artigo disponível

Nenhum slide disponível

Nenhum vídeo disponível